---
id: 6977a4306bb3e856690a4890
title: Step 6
challengeType: 20
dashedName: step-6
---

# --description--

Now that you have calculated the tip, you need to add it to your `running_total` to find the final bill amount.

Use the `+=` operator to add the value of `tip` to your `running_total`. Finally, use `print()` to display the string `Total with tip:` followed by a space and the value of `running_total`.

# --hints--

You should use the `+=` operator to add the value of `tip` to your `running_total`.

```js
({
    test: () => assert(runPython(`
    _Node(_code).has_stmt('running_total += tip')
    `))
})
```

You should print the string `Total with tip:` followed by a space and the `running_total` variable.

```js
({
    test: () => runPython(`
import io, contextlib, re

buffer = io.StringIO()
with contextlib.redirect_stdout(buffer):
    exec(_code)

match = re.search(r"Total with tip: ([0-9]+(?:\\.[0-9]+)?)", buffer.getvalue())

assert match
assert abs(float(match.group(1)) - ((37.89 + 57.34 + 39.39 + 64.21) * 1.25)) < 1e-6
    `)
})
```

# --seed--

## --seed-contents--

```py
running_total = 0

num_of_friends = 4

appetizers = 37.89
main_courses = 57.34
desserts = 39.39
drinks = 64.21

running_total += appetizers + main_courses + desserts + drinks
print('Total bill so far:', running_total)

tip = running_total * 0.25
print('Tip amount:', tip)

--fcc-editable-region--

--fcc-editable-region--
```
